import React, { Component } from 'react';
import {PlusOutlined} from "@ant-design/icons";
import {Button, message} from "antd";
import ProForm, {
  ModalForm,
  ProFormText,
  ProFormDateRangePicker,
  ProFormSelect,
} from '@ant-design/pro-form';

class NewPermission extends Component{
  constructor(props) {
    super(props);
    this.state={
      showDesc: false,
    };
    this.addClick = this.addClick.bind(this);
    this.newPermission = this.newPermission.bind(this);
  }

  addClick=()=>{
    this.setState({
      showDesc: true
    });
  }

  newPermission=()=>{

  }

  render() {
    return (
        <ModalForm
          title="新建权限"
          trigger={
            <Button
              type="primary"
              key='addSupPermission'
              icon={<PlusOutlined />}
              onClick={this.addClick}>
              新增权限
            </Button>
          }
          modalProps={{
            onCancel: () => this.setState({ showDesc: true }),
          }}
          onFinish={async (values) => {
            await waitTime(2000);
            console.log(values);
            message.success('提交成功');
            return true;
          }}
        >
          <ProForm.Group>
            <ProFormText
              required
              width="xl"
              name="name"
              label="接口名称："
              placeholder="请输入名称"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormText
              required
              width="xl"
              name="name"
              label="接口路径："
              placeholder="请输入接口路径"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormText
              width="xl"
              name="name"
              label="接口类型："
              placeholder="请选择接口类型"
              disabled
            />
            </ProForm.Group>
        </ModalForm>
    );
  }
}

export default NewPermission
